1. Cashout
Brasil Cash Gateway
main
  • main
  • v3
  • Autenticação
    • Recebendo um token de acesso
      POST
  • Conta
    • Dados da conta
      GET
    • Listar transactions
      GET
    • Visualizar saldo na conta
      GET
  • Transferências
    • Transferência Interna (P2P)
      POST
  • PIX
    • Cashin
      • Criando um QRCode PIX
      • Static QRCODE
      • Detalhe de um QRCode
      • Inativando um QRCode
    • Cashout
      • Overview
      • Iniciando PIX Chave
        POST
      • Lendo dados QRCode
        POST
      • Iniciando PIX QRCODE
        POST
      • Iniciando PIX Manual
        POST
      • Confirmando PIX
        PUT
      • Listando Pagamentos de PIX
        GET
      • Detalhe de um Pagamento PIX
        GET
    • Dict
      • Listing Dict
      • Creating PIX KEY
      • Cancel PIX key
  • Esquemas
    • PIX
      • ReceiverPayer
      • Pix Initiate
      • Pix Consulta
      • Paginação
    • ApplicationError
  1. Cashout

Listando Pagamentos de PIX

GET
/pix/payments
Retorna a lista de pagamentos PIX realizados, permitindo consulta por filtros e paginação.

Requisição

Authorization
Forneça seu token bearer no cabeçalho
Authorization
ao fazer requisições para recursos protegidos.
Exemplo:
Authorization: Bearer ********************
Parâmetros de Consulta

Parâmetros Bodyapplication/json

Examples

Respostas

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/pix/payments?status=paid&page=1&start_date=2024-01-23%2023%3A36%3A07&end_date=2024-01-24%2014%3A31%3A07' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'
Response Response Example
{
    "pageCount": 75,
    "currentPage": 1,
    "limit": 2,
    "total": 150,
    "items": [
        {
            "pix_id": "dc793d26-6a9f-49ce-be59-082521683320",
            "endToEndId": "E30507541202606161212LVwHvpD0iLD",
            "amount": 158,
            "tax_amount": 0,
            "status": "paid",
            "created_at": "2026-06-16T12:12:24.9630000",
            "external_id": null,
            "receiver": {
                "ipsb": "18236120",
                "bank_name": "NU PAGAMENTOS S.A. - INSTITUIÇÃO DE PAGAMENTO",
                "branch": "1",
                "account_number": "1122458",
                "account_type": "payment",
                "document": "32.333.444/0001-33",
                "document_type": "CNPJ",
                "name": "Fellowship of the Ring",
                "trade_name": "Fellowship of the Ring",
                "pix_key": "+551122334455"
            },
            "payer": {
                "ipsb": "30507541",
                "bank_name": "Brasil Cash IP S.A.",
                "branch": "0001",
                "account_number": "1225",
                "account_type": "payment",
                "document": "11122233385",
                "document_type": "cpf",
                "name": "Gandalf",
                "trade_name": "The Grey",
                "pix_key": null
            },
            "pix_key": "+551122334455"
        },
        {
            "pix_id": "4d65ee2d-3231-4930-a663-29964e9f79bd",
            "endToEndId": "E30507541202606161210NKljTVpnFNo",
            "amount": 189,
            "tax_amount": 0,
            "status": "pending",
            "created_at": "2026-06-16T12:10:40.1570000",
            "external_id": null,
            "receiver": {
                "ipsb": "18236120",
                "bank_name": "NU PAGAMENTOS S.A. - INSTITUIÇÃO DE PAGAMENTO",
                "branch": "1",
                "account_number": "44859",
                "account_type": "payment",
                "document": "111.222.338-42",
                "document_type": "CPF",
                "name": "Balrog",
                "trade_name": "Balrog",
                "pix_key": null
            },
            "payer": {
                "ipsb": "30507541",
                "bank_name": "Brasil Cash IP S.A.",
                "branch": "0001",
                "account_number": "1225",
                "account_type": "payment",
                "document": "11122233385",
                "document_type": "cpf",
                "name": "Gandalf",
                "trade_name": "The Grey",
                "pix_key": null
            },
            "pix_key": null
        }
    ]
}
Modificado em 2026-10-16 20:53:35
Página anterior
Confirmando PIX
Próxima página
Detalhe de um Pagamento PIX
Built with